Package: groovy.console.ui

## [Groovy] Class ObjectBrowser

- groovy.console.ui.ObjectBrowser

-     class ObjectBrowser
      extends Object

  A little GUI to show some of the Inspector capabilities. Starting this script opens the ObjectBrowser on "some String". Use it in groovysh or groovyConsole to inspect your object of interest with: `ObjectBrowser.inspect(myObject)` .

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Object` | `fieldTable`
    `Object` | `frame`
    `Object` | `inspector`
    `Object` | `itemTable`
    `Object` | `mapTable`
    `Object` | `methodTable`
    `Object` | `swing`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ObjectBrowser ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addSorter(Object table)`
    `` | `static void` | `inspect(Object objectUnderInspection)`
    `` | `static void` | `main(Object args)`
    `` | `void` | `run()`
    `` | `void` | `showAbout(EventObject evt)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### Object fieldTable

    - #### Object frame

    - #### Object inspector

    - #### Object itemTable

    - #### Object mapTable

    - #### Object methodTable

    - #### Object swing

  - ### Constructor Detail

    - #### ObjectBrowser()

  - ### Method Detail

    - #### void addSorter(Object table)

    - #### static void inspect(Object objectUnderInspection)

    - #### static void main(Object args)

    - #### void run()

    - #### void showAbout(EventObject evt)